From d073c15697271aa526b7254a2019ac23bd6fb42d Mon Sep 17 00:00:00 2001
From: Chris Lamb <chris@chris-lamb.co.uk>
Date: Mon, 29 Oct 2018 10:47:11 -0400
Subject: [PATCH 2/2] Avoid a traceback if mirror-dispatcher.js is not
 available.

---
 wiki/src/templates/page.tmpl | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/wiki/src/templates/page.tmpl b/wiki/src/templates/page.tmpl
index 8e1b1b14ed..f75b310142 100644
--- a/wiki/src/templates/page.tmpl
+++ b/wiki/src/templates/page.tmpl
@@ -269,7 +269,8 @@ License: <TMPL_VAR LICENSE>
 
 <script type="text/javascript">
   var linkelements = document.querySelectorAll('.use-mirror-pool');
-  if(linkelements.length > 0) {
+  // Avoid a traceback if mirror-dispatcher.js is not available.
+  if (typeof replaceUrlPrefixWithRandomMirror !== "undefined" && linkelements.length > 0) {
     replaceUrlPrefixWithRandomMirror(linkelements);
   }
 </script>
-- 
2.19.1

